/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Forms;

import Utilities.BDConnection;
import Utilities.TableModel;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.ListSelectionModel;

/**
 *
 * @author aluno
 */
public class FrmStates extends javax.swing.JFrame {
    
    BDConnection connect = new BDConnection();//instancia da classe de conexão
    
    public FrmStates() {
        initComponents();
        connect.connection();//chamada do método de conexão
        
        fillTable("select * from states order by id_states");
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabelCodeStates = new javax.swing.JLabel();
        jLabelNameStates = new javax.swing.JLabel();
        jLabelInitialsStates = new javax.swing.JLabel();
        jTextFieldCodeStates = new javax.swing.JTextField();
        jTextFieldName = new javax.swing.JTextField();
        jTextFieldInitialsStates = new javax.swing.JTextField();
        jButtonDelete = new javax.swing.JButton();
        jButtonSave = new javax.swing.JButton();
        jButtonNew = new javax.swing.JButton();
        jButtonEdit = new javax.swing.JButton();
        jButtonExit = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTableStates = new javax.swing.JTable();
        jButtonFirst = new javax.swing.JButton();
        jButtonLast = new javax.swing.JButton();
        jButtonPrevious = new javax.swing.JButton();
        jButtonNext = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Cadastro Estado");
        setAlwaysOnTop(true);
        setBackground(new java.awt.Color(51, 51, 51));
        setFont(new java.awt.Font("Agency FB", 1, 18)); // NOI18N
        setForeground(new java.awt.Color(51, 51, 51));

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanel1.setForeground(new java.awt.Color(255, 255, 255));

        jLabelCodeStates.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jLabelCodeStates.setForeground(new java.awt.Color(0, 102, 102));
        jLabelCodeStates.setText("Código:");

        jLabelNameStates.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jLabelNameStates.setForeground(new java.awt.Color(0, 102, 102));
        jLabelNameStates.setText("Nome:");

        jLabelInitialsStates.setFont(new java.awt.Font("Tahoma", 0, 24)); // NOI18N
        jLabelInitialsStates.setForeground(new java.awt.Color(0, 102, 102));
        jLabelInitialsStates.setText("Sigla:");

        jTextFieldCodeStates.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jTextFieldCodeStates.setEnabled(false);

        jTextFieldName.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jTextFieldName.setEnabled(false);

        jTextFieldInitialsStates.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jTextFieldInitialsStates.setEnabled(false);

        jButtonDelete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/x-button64.png"))); // NOI18N
        jButtonDelete.setToolTipText("Deletar");
        jButtonDelete.setEnabled(false);
        jButtonDelete.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonDeleteActionPerformed(evt);
            }
        });

        jButtonSave.setForeground(new java.awt.Color(204, 204, 204));
        jButtonSave.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/diskette64.png"))); // NOI18N
        jButtonSave.setToolTipText("Salvar");
        jButtonSave.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSaveActionPerformed(evt);
            }
        });

        jButtonNew.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/contract.png"))); // NOI18N
        jButtonNew.setToolTipText("Novo");
        jButtonNew.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNewActionPerformed(evt);
            }
        });

        jButtonEdit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/edit.png"))); // NOI18N
        jButtonEdit.setToolTipText("Editar");
        jButtonEdit.setEnabled(false);
        jButtonEdit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditActionPerformed(evt);
            }
        });

        jButtonExit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/logout.png"))); // NOI18N
        jButtonExit.setToolTipText("Sair");
        jButtonExit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonExitActionPerformed(evt);
            }
        });

        jTableStates.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jTableStates.setForeground(new java.awt.Color(51, 51, 51));
        jTableStates.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        jTableStates.setRowHeight(24);
        jScrollPane1.setViewportView(jTableStates);

        jButtonFirst.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/fast-forward-arrow - Left.png"))); // NOI18N
        jButtonFirst.setToolTipText("Primeiro");
        jButtonFirst.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonFirstActionPerformed(evt);
            }
        });

        jButtonLast.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/fast-forward-arrow.png"))); // NOI18N
        jButtonLast.setToolTipText("Último");
        jButtonLast.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLastActionPerformed(evt);
            }
        });

        jButtonPrevious.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/music-player-play - Left.png"))); // NOI18N
        jButtonPrevious.setToolTipText("Anterior");
        jButtonPrevious.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonPreviousActionPerformed(evt);
            }
        });

        jButtonNext.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Images/music-player-play.png"))); // NOI18N
        jButtonNext.setToolTipText("Próximo");
        jButtonNext.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonNextActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(34, 34, 34)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabelCodeStates)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jTextFieldCodeStates, javax.swing.GroupLayout.PREFERRED_SIZE, 164, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 352, Short.MAX_VALUE)
                                .addComponent(jButtonSave))
                            .addComponent(jScrollPane1)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jButtonNew)
                                        .addGap(81, 81, 81)
                                        .addComponent(jButtonEdit))
                                    .addGroup(jPanel1Layout.createSequentialGroup()
                                        .addComponent(jLabelNameStates)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                        .addComponent(jTextFieldName, javax.swing.GroupLayout.PREFERRED_SIZE, 287, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(jLabelInitialsStates)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jTextFieldInitialsStates, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jButtonDelete)))))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonFirst)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonLast)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonPrevious)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonNext)
                        .addGap(215, 215, 215)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButtonExit)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButtonSave)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldCodeStates, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabelCodeStates))
                        .addGap(12, 12, 12)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextFieldName, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabelNameStates)
                            .addComponent(jLabelInitialsStates)
                            .addComponent(jTextFieldInitialsStates, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addGap(28, 28, 28)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButtonNew)
                    .addComponent(jButtonDelete)
                    .addComponent(jButtonEdit))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 166, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButtonNext)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jButtonFirst)
                        .addComponent(jButtonLast)
                        .addComponent(jButtonPrevious)))
                .addContainerGap(24, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jButtonExit)
                .addContainerGap())
        );

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 24)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(0, 102, 102));
        jLabel1.setText("Formulário de Cadastro de Estados");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel1)
                .addGap(229, 229, 229))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(13, 13, 13)
                .addComponent(jLabel1)
                .addGap(18, 18, 18)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(909, 597));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonSaveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSaveActionPerformed
        try {
            
            PreparedStatement pst = connect.conn.prepareStatement("insert into states (name_states, initials_states) values (?,?)");//SQL
            pst.setString(1, jTextFieldName.getText());//parâmetros SQL
            pst.setString(2, jTextFieldInitialsStates.getText());
            pst.executeUpdate();//Executa a inserção
            fillTable("selecte * from states order by id_states");
            JOptionPane.showMessageDialog(rootPane, "Salvo com sucesso!");
            
            
        } catch (SQLException ex) {
            Logger.getLogger(FrmStates.class.getName()).log(Level.SEVERE, null, ex);
            JOptionPane.showMessageDialog(rootPane, "Erro na Inserção! \n ERRO: "+ex);
        }
        jTextFieldCodeStates.setText("");
        jTextFieldName.setText("");
        jTextFieldInitialsStates.setText("");
        
        jTextFieldName.setEnabled(false);
        jTextFieldInitialsStates.setEnabled(false);
        jButtonEdit.setEnabled(false);
        jButtonDelete.setEnabled(false);
        jButtonSave.setEnabled(false);
        jButtonNew.setEnabled(true);  
       
    }//GEN-LAST:event_jButtonSaveActionPerformed

    private void jButtonDeleteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonDeleteActionPerformed
        connect.executeSQL("delete from states where initials_states='"+jTextFieldInitialsStates.getText()+"'");//conecta o banco para realizar a exclusão
        JOptionPane.showMessageDialog(rootPane, "Estado excluído com sucesso!");
        fillTable("selecte * from states order by id_states");
        
        jTextFieldCodeStates.setText("");
        jTextFieldName.setText("");
        jTextFieldInitialsStates.setText("");
        
        jTextFieldName.setEnabled(false);
        jTextFieldInitialsStates.setEnabled(false);
        jButtonEdit.setEnabled(false);
        jButtonDelete.setEnabled(false);
        jButtonSave.setEnabled(false);
        jButtonNew.setEnabled(true); 
    }//GEN-LAST:event_jButtonDeleteActionPerformed

    private void jButtonExitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonExitActionPerformed
        dispose();//Fecha a aplicação
    }//GEN-LAST:event_jButtonExitActionPerformed

    private void jButtonNewActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNewActionPerformed
        jTextFieldCodeStates.setText("");
        jTextFieldName.setText("");
        jTextFieldInitialsStates.setText("");
        
        jTextFieldName.setEnabled(true);
        jTextFieldInitialsStates.setEnabled(true);
        jButtonEdit.setEnabled(true);
        jButtonDelete.setEnabled(true);
        jButtonSave.setEnabled(true);
        jButtonNew.setEnabled(false);
    }//GEN-LAST:event_jButtonNewActionPerformed

    private void jButtonPreviousActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonPreviousActionPerformed
        jTextFieldName.setEnabled(true);
        jTextFieldInitialsStates.setEnabled(true);
        jButtonDelete.setEnabled(true);
        jButtonEdit.setEnabled(true);

        try {
            connect.executeSQL("select * from states");
            connect.rs.previous();
            
            jTextFieldCodeStates.setText(String.valueOf(connect.rs.getInt("id_states")));
            jTextFieldName.setText(connect.rs.getString("name_states"));
            jTextFieldInitialsStates.setText(connect.rs.getString("initials_states"));
            
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(rootPane,"Erro ao mostrar dados! n/ERRO: "+ex);
        }
    }//GEN-LAST:event_jButtonPreviousActionPerformed

    private void jButtonFirstActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonFirstActionPerformed
        jTextFieldName.setEnabled(true);
        jTextFieldInitialsStates.setEnabled(true);
        jButtonDelete.setEnabled(true);
        jButtonEdit.setEnabled(true);
        
        try {
            connect.executeSQL("select * from states");
            connect.rs.first();
            
            jTextFieldCodeStates.setText(String.valueOf(connect.rs.getInt("id_states")));
            jTextFieldName.setText(connect.rs.getString("name_states"));
            jTextFieldInitialsStates.setText(connect.rs.getString("initials_states"));
            
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(rootPane,"Erro ao mostrar dados! n/ERRO: "+ex);
        }
        
    }//GEN-LAST:event_jButtonFirstActionPerformed

    private void jButtonLastActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLastActionPerformed
        jTextFieldName.setEnabled(true);
        jTextFieldInitialsStates.setEnabled(true);
        jButtonDelete.setEnabled(true);
        jButtonEdit.setEnabled(true);

        try {
            connect.executeSQL("select * from states");
            connect.rs.last();
            
            jTextFieldCodeStates.setText(String.valueOf(connect.rs.getInt("id_states")));
            jTextFieldName.setText(connect.rs.getString("name_states"));
            jTextFieldInitialsStates.setText(connect.rs.getString("initials_states"));
            
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(rootPane,"Erro ao mostrar dados! n/ERRO: "+ex);
        }
    }//GEN-LAST:event_jButtonLastActionPerformed

    private void jButtonNextActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonNextActionPerformed
        jButtonDelete.setEnabled(true);
        jButtonEdit.setEnabled(true);
        jTextFieldName.setEnabled(true);
        jTextFieldInitialsStates.setEnabled(true);

        try {
            connect.executeSQL("select * from states");
            connect.rs.next();
            
            jTextFieldCodeStates.setText(String.valueOf(connect.rs.getInt("id_states")));
            jTextFieldName.setText(connect.rs.getString("name_states"));
            jTextFieldInitialsStates.setText(connect.rs.getString("initials_states"));
            
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(rootPane,"Erro ao mostrar dados! n/ERRO: "+ex);
        }
    }//GEN-LAST:event_jButtonNextActionPerformed

    private void jButtonEditActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditActionPerformed
        
            try {
            
            PreparedStatement pst = connect.conn.prepareStatement("update states (name_states, initials_states) values (?,?)");//SQL
            pst.setString(1, jTextFieldName.getText());//parâmetros SQL
            pst.setString(2, jTextFieldInitialsStates.getText());
            pst.setInt(3, Integer.parseInt(jTextFieldCodeStates.getText()));
            pst.execute();//Executa a inserção
            JOptionPane.showMessageDialog(rootPane, "Alterado com sucesso!");
            fillTable("selecte * from states order by id_states");
            
        } catch (SQLException ex) {
            Logger.getLogger(FrmStates.class.getName()).log(Level.SEVERE, null, ex);
            JOptionPane.showMessageDialog(rootPane, "Erro na Inserção! \n ERRO: "+ex);
        }
        jTextFieldCodeStates.setText("");
        jTextFieldName.setText("");
        jTextFieldInitialsStates.setText("");
        
        jTextFieldName.setEnabled(false);
        jTextFieldInitialsStates.setEnabled(false);
        jButtonEdit.setEnabled(false);
        jButtonDelete.setEnabled(false);
        jButtonSave.setEnabled(false);
        jButtonNew.setEnabled(true);  
    }//GEN-LAST:event_jButtonEditActionPerformed
public void fillTable(String SQL){
    ArrayList data = new ArrayList();
    
    String [] Columns = new String[]{"ID", "Nome", "Sigla"};
    
    connect.executeSQL(SQL);
        try {
            connect.rs.first();
            do{
                data.add(new Object[]{connect.rs.getInt("id_states"), connect.rs.getString("name_states"), connect.rs.getString("initials_states")});
            } while (connect.rs.next());
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(rootPane,"Erro ao preencher o ArrayList! n/ERRO: "+ex);
        }
        
        TableModel model = new TableModel(data, Columns);
        
        jTableStates.setModel(model);
        jTableStates.getColumnModel().getColumn(0).setPreferredWidth(90);
        jTableStates.getColumnModel().getColumn(0).setResizable(false);
        jTableStates.getColumnModel().getColumn(1).setPreferredWidth(510);
        jTableStates.getColumnModel().getColumn(1).setResizable(false);
        jTableStates.getColumnModel().getColumn(2).setPreferredWidth(90);
        jTableStates.getColumnModel().getColumn(2).setResizable(false);
        jTableStates.getTableHeader().setReorderingAllowed(false);
        jTableStates.setAutoResizeMode(jTableStates.AUTO_RESIZE_OFF);
        jTableStates.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
}
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmStates.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmStates.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmStates.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmStates.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmStates().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonDelete;
    private javax.swing.JButton jButtonEdit;
    private javax.swing.JButton jButtonExit;
    private javax.swing.JButton jButtonFirst;
    private javax.swing.JButton jButtonLast;
    private javax.swing.JButton jButtonNew;
    private javax.swing.JButton jButtonNext;
    private javax.swing.JButton jButtonPrevious;
    private javax.swing.JButton jButtonSave;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabelCodeStates;
    private javax.swing.JLabel jLabelInitialsStates;
    private javax.swing.JLabel jLabelNameStates;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable jTableStates;
    private javax.swing.JTextField jTextFieldCodeStates;
    private javax.swing.JTextField jTextFieldInitialsStates;
    private javax.swing.JTextField jTextFieldName;
    // End of variables declaration//GEN-END:variables
}
